# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
#
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

from aliyunsdkcore.request import RoaRequest
class UpdateAdPlanRequest(RoaRequest):

	def __init__(self):
		RoaRequest.__init__(self, 'OA', '2017-03-08', 'UpdateAdPlan')
		self.set_uri_pattern('/adplan/[id]')
		self.set_method('PUT')

	def get_delivery_time(self):
		return self.get_content()

	def set_delivery_time(self,delivery_time):
		self.set_content(delivery_time)

	def get_id(self):
		return self.get_path_params().get('id')

	def set_id(self,id):
		self.add_path_param('id',id)

	def get_end_time(self):
		return self.get_content()

	def set_end_time(self,end_time):
		self.set_content(end_time)

	def get_daily_max_quota(self):
		return self.get_content()

	def set_daily_max_quota(self,daily_max_quota):
		self.set_content(daily_max_quota)

	def get_start_time(self):
		return self.get_content()

	def set_start_time(self,start_time):
		self.set_content(start_time)

	def get_quota_status(self):
		return self.get_content()

	def set_quota_status(self,quota_status):
		self.set_content(quota_status)

	def get_ad_type(self):
		return self.get_content()

	def set_ad_type(self,ad_type):
		self.set_content(ad_type)

	def get_ad_plan_name(self):
		return self.get_content()

	def set_ad_plan_name(self,ad_plan_name):
		self.set_content(ad_plan_name)

	def get_ad_plan_status(self):
		return self.get_content()

	def set_ad_plan_status(self,ad_plan_status):
		self.set_content(ad_plan_status)